# Uses of Interface
javax.lang.model.util.Types

Packages that use Types
Package
Description
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).
javax.annotation.processing
Facilities for declaring annotation processors and for allowing annotation processors to communicate with an annotation processing tool environment.
jdk.javadoc.doclet
The Doclet API provides an environment which, in conjunction with the Language Model API and Compiler Tree API, allows clients to inspect the source-level structures of programs and libraries, including API comments embedded in the source.

## Uses of Types in com.sun.source.util

Methods in com.sun.source.util that return Types
Modifier and Type
Method
Description
`abstract Types`
JavacTask.`getTypes()`
Returns a utility object for dealing with type mirrors.

## Uses of Types in javax.annotation.processing

Methods in javax.annotation.processing that return Types
Modifier and Type
Method
Description
`Types`
ProcessingEnvironment.`getTypeUtils()`
Returns an implementation of some utility methods for operating on types.

## Uses of Types in jdk.javadoc.doclet

Methods in jdk.javadoc.doclet that return Types
Modifier and Type
Method
Description
`Types`
DocletEnvironment.`getTypeUtils()`
Returns an instance of the `Types` utility class.